Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.blogentry
Class XmlRpcNotificationListener

    java.lang.Object
      net.sourceforge.pebble.event.blogentry.BlogEntryListenerSupport
          net.sourceforge.pebble.event.blogentry.XmlRpcNotificationListener

All Implemented Interfaces:
  BlogEntryListener

    public class XmlRpcNotificationListener

extends BlogEntryListenerSupport

Sends XML-RPC pings to websites when a blog entry is added.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `URL_LIST_KEY` the name of the URL list property

Constructor Summary
`XmlRpcNotificationListener()`

Method Summary
`void` | `blogEntryAdded(BlogEntryEvent event)` Called when a blog entry has been added.
`void` | `blogEntryPublished(BlogEntryEvent event)` Called when a blog entry has been published.

Methods inherited from class net.sourceforge.pebble.event.blogentry.BlogEntryListenerSupport
`blogEntryChanged, blogEntryRemoved, blogEntryUnpublished`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_LIST_KEY

    public static final java.lang.String URL_LIST_KEY

  the name of the URL list property

  See Also:
    Constant Field Values

Constructor Detail

### XmlRpcNotificationListener

    public XmlRpcNotificationListener()

Method Detail

### blogEntryAdded

    public void blogEntryAdded(BlogEntryEvent event)

  Called when a blog entry has been added.

  Specified by:
    `blogEntryAdded` in interface `BlogEntryListener`
  Overrides:
    `blogEntryAdded` in class `BlogEntryListenerSupport`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryPublished

    public void blogEntryPublished(BlogEntryEvent event)

  Called when a blog entry has been published.

  Specified by:
    `blogEntryPublished` in interface `BlogEntryListener`
  Overrides:
    `blogEntryPublished` in class `BlogEntryListenerSupport`
  Parameters:
    `event` - a BlogEntryEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.